LeelaChessZero no longer running in Google Colab?

Discussion of anything and everything relating to chess playing software and machines.

Moderators: bob, hgm, Harvey Williamson

Forum rules
This textbox is used to restore diagrams posted with the [d] tag before the upgrade.
Post Reply
User avatar
Leto
Posts: 2034
Joined: Thu May 04, 2006 1:40 am
Location: Dune

LeelaChessZero no longer running in Google Colab?

Post by Leto » Fri Apr 20, 2018 12:24 am

I was training Leela on the free Google Colab account but just now it stopped working for me. It is now failing in the first cell, here's the output:

!apt-get update
!apt-get install -y --fix-missing clinfo cmake git libboost-all-dev libopenblas-dev nvidia-cuda-toolkit opencl-headers ocl-icd-libopencl1 ocl-icd-opencl-dev zlib1g-dev
!clinfo

Hit:1 http://security.ubuntu.com/ubuntu artful-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu artful InRelease
Hit:3 http://archive.ubuntu.com/ubuntu artful-updates InRelease
Hit:4 http://archive.ubuntu.com/ubuntu artful-backports InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
cmake is already the newest version (3.9.1-1).
git is already the newest version (1:2.14.1-1ubuntu4).
ocl-icd-libopencl1 is already the newest version (2.2.11-1ubuntu1).
ocl-icd-opencl-dev is already the newest version (2.2.11-1ubuntu1).
zlib1g-dev is already the newest version (1:1.2.11.dfsg-0ubuntu2).
clinfo is already the newest version (2.1.16.01.12-1).
libboost-all-dev is already the newest version (1.62.0.1).
libopenblas-dev is already the newest version (0.2.20+ds-4).
opencl-headers is already the newest version (2.1-1).
nvidia-cuda-toolkit is already the newest version (8.0.61-1).
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
mpi-default-dev : Depends: libopenmpi-dev but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
Number of platforms 0

User avatar
George Tsavdaris
Posts: 1625
Joined: Thu Mar 09, 2006 11:35 am

Re: LeelaChessZero no longer running in Google Colab?

Post by George Tsavdaris » Fri Apr 20, 2018 12:28 am

Leto wrote:I was training Leela on the free Google Colab account but just now it stopped working for me. It is now failing in the first cell, here's the output:

!apt-get update
!apt-get install -y --fix-missing clinfo cmake git libboost-all-dev libopenblas-dev nvidia-cuda-toolkit opencl-headers ocl-icd-libopencl1 ocl-icd-opencl-dev zlib1g-dev
!clinfo

Instead of this, in the 1st step use:

Code: Select all

!apt --fix-broken install
!apt-get update
!apt-get install -y cmake nvidia-cuda-toolkit git-all libboost-all-dev libopenblas-dev opencl-headers ocl-icd-libopencl1 ocl-icd-opencl-dev zlib1g-dev
!apt-get install -y clinfo && clinfo

And in the 5th step run it twice if the first doesn't work.
After his son's birth they've asked him:
"Is it a boy or girl?"
YES! He replied.....

User avatar
Leto
Posts: 2034
Joined: Thu May 04, 2006 1:40 am
Location: Dune

Re: LeelaChessZero no longer running in Google Colab?

Post by Leto » Fri Apr 20, 2018 12:36 am

George Tsavdaris wrote:
Leto wrote:I was training Leela on the free Google Colab account but just now it stopped working for me. It is now failing in the first cell, here's the output:

!apt-get update
!apt-get install -y --fix-missing clinfo cmake git libboost-all-dev libopenblas-dev nvidia-cuda-toolkit opencl-headers ocl-icd-libopencl1 ocl-icd-opencl-dev zlib1g-dev
!clinfo

Instead of this, in the 1st step use:

Code: Select all

!apt --fix-broken install
!apt-get update
!apt-get install -y cmake nvidia-cuda-toolkit git-all libboost-all-dev libopenblas-dev opencl-headers ocl-icd-libopencl1 ocl-icd-opencl-dev zlib1g-dev
!apt-get install -y clinfo && clinfo

And in the 5th step run it twice if the first doesn't work.
Thanks that worked it's running again!

Post Reply